Wordle Lovers - Play the NYT Daily Game

  • Thread starter fresh_42
  • Start date
  • Tags
    Game
In summary, the player played the New York Times daily word game and found that they had a higher fail rate in playing against Spanish-speaking humans. They also mentioned that the game is similar to a board game they remember from their childhood.
  • #5,216
Never really considered BASH simple. Or rather I consider it counterintuitive. I prefer C/C++ or even assembler! But sure, the power of the CLI! Pipe, man, apropos, less, find, regex,awk, sed... Once you feel just a little at home going back to that other OS becomes downright emasculating.

When I use BASH it ends up looking like this:

Code:
#!/bin/bash


#######################################################################
# Perform cleanup
#######################################################################
cleanup=0
echo
read -rsn1 -t 5 -p $'\e[93;5mAbout to perform cleanup. Press any key to skip in the next 3 seconds...\033[0m'
if [ ! $? -eq 0 ]
then
    cleanup=1
else
    echo
    if [ -f ./pch.h.gch ]
    then
        read -rsn1 -t 5 -p $'\e[93;5mDo you want to keep the precompiled header (Y/n)...\033[0m' key
        if [ $? -neq 0 ]
        then
            case $key in
                n|N)
                    cleanup=1           
                ;;
                *)
                ;;
            esac
        fi
    fi
fi

if [ ! $cleanup -eq 0 ]
then
    echo
    echo $'\e[33mPerforming cleanup...\e[0m'
    echo
    ./clean.sh
    echo   
else
    echo
    echo $'\e[33mSkipping cleanup...\e[0m'
    echo
fi
           



#######################################################################
# Precompiled header
#######################################################################
echo
read -rsn1 -t 5 -p $'\e[93;5mAbout to precompile header pch.h. Press any key to skip in the next 3 seconds...\033[0m'
if [ $? -eq 0 ]
then
    echo
    echo $'\e[33mSkipping building precompiled header...\e[0m'
    echo
else
    echo
    echo $'\e[33mBuilding precompiled header...\e[0m'
    echo   
    g++ -H -v -std=gnu++2b -Wall -Wextra -fmax-errors=3 -O0 -fdiagnostics-color=always -x c++-header -c pch.h -o pch.h.gch
    echo

    if [[ $? -ne 0 ]]
    then
        echo   
        echo $'\e[31mError creating precompiled header.\e[0m'
        echo       
        exit 1
    else
        echo   
        echo $'\e[32mPrecompiled header successfully created.\e[0m'
        echo       
    fi
fi

if ! [ -f ./pch.h.gch ]; then
  echo
  echo $'\e[31mPrecompiled header not found. Stop.\033[0m'
  echo 
  exit 1;
fi


#######################################################################
# Build main executable
#######################################################################
echo
echo "Building main executable..."
echo
read -rsn1 -t 3 -p $'\e[93;5mAbout to build main executable. Press any key to skip in the next 3 seconds...\033[0m'
if [ $? -eq 0 ]
then
    echo
    echo $'\e[33mSkipping...\e[0m'
    echo
else
    echo
    echo $'\e[33mBuilding main executable...\e[0m'
    echo   
    g++ -H -v -std=gnu++2b -fdiagnostics-show-location=every-line -fdiagnostics-color=always -Wall -Wextra -fmax-errors=3 -O0 -o main -include pch.h main.cpp -L/usr/lib/x86_64-linux-gnu/cmake -lboost_filesystem -lboost_regex -lfmt
    echo

    if [[ $? -ne 0 ]]
    then
        echo   
        echo $'\e[31mError compiling main executable.\e[0m'
        echo       
        exit 1
    fi

    echo   
    echo $'\e[32mSuccess.\e[0m'
    echo       
fi

if ! [ -f ./main ]; then
  echo
  echo $'\e[31mmain not created. Stop.\033[0m'
  echo 
  exit 1;
fi

echo
echo "Done."
echo
exit 0
 
Last edited:
Physics news on Phys.org
  • #5,217
Funny how long it took to show our true colors! o0)
 
  • #5,218
Wordle 1 179 3/6

⬜⬜⬜⬜🟨
🟩⬜⬜⬜🟩
🟩🟩🟩🟩🟩
 
  • #5,219
Wordle 1,179 4/6

⬛🟨⬛🟩⬛
⬛⬛⬛🟨⬛
🟨🟨⬛🟩🟨
🟩🟩🟩🟩🟩
 
  • #5,220
Wordle 1,179 4/6

🟨⬛⬛⬛⬛ [LATCH] 103 left
⬛⬛⬛⬛🟨 [PIOYE] 10 left
🟨⬛🟨⬛⬛ [BURST] 1 left (Lucky! Could've been worse.)
🟩🟩🟩🟩🟩 [REBEL]
 
  • #5,221
sbrothy said:
Never really considered BASH simple. Or rather I consider it counterintuitive. I prefer C/C++ or even assembler! But sure, the power of the CLI! Pipe, man, apropos, less, find, regex,awk, sed... Once you feel just a little at home going back to that other OS becomes downright emasculating.
Yes, Bash is kind of weird. But I run multiple servers from home now and I made a lot of scripts to automate processes. It grows on you!
 
  • Like
Likes sbrothy
  • #5,222
jack action said:
⬛⬛⬛⬛🟨 [PIOYE] 10 left
can you use that in a sentence? 😛
 
  • #5,223
jack action said:
Yes, Bash is kind of weird. But I run multiple servers from home now and I made a lot of scripts to automate processes. It grows on you!
Indeed. Among other things I've worked as a programmer for Mærsk and a rather unkown (gazelle(?)) company selling medical equipment (such as dictaphones and planning applications) to the Chinese National Health service. The owner of that company got rich really really fast!

I've also implemented a tool database coupled with a barcode scanner coded in embedded C, used Struts on top of some really heavy Windows webapp server. I forget the name (EDIT: WebSphere Application Server!). That was some heavy dancing though (navigating the IBM site with their white- and red-papers was a nightmare I remember). I've set up Microsoft mail server from scratch. I mean from RAIDing the machines and upward. When I was done I was told what Microsoft is payed for doing that. I was shocked and felt a little bit "used". On the other hand some of what you pay for is of course also the subsequent technical assistance. When I left the company they were kinda effed. :biggrin:

I remember trying to print out Mærsk's database on A3 papers and putting them on the wall. I had to give up! That database is a monster! "Talking" with it using PL/SQL was kinda like magic. They used the expression that their systems "ate cobber", because at that time Maersk and the Danish Telecom net couldn't run simultanously!!
 
  • #5,224
Wordle 1,179 4/6

⬜⬜⬜🟨🟨
🟨🟩⬜⬜⬜
🟩🟩🟨⬜⬜
🟩🟩🟩🟩🟩
 
  • #5,225
Orodruin said:
can you use that in a sentence? 😛
My only other suggestion was YOWIE which is not better! I just thought the P would be more useful than the W.

So I'll try this sentence: A yowie admires pioyes in the night sky.
 
  • #5,226
jack action said:
My only other suggestion was YOWIE which is not better! I just thought the P would be more useful than the W.

So I'll try this sentence: A yowie admires pioyes in the night sky.
Why does this come to mind?
 
  • Haha
Likes dwarde
  • #5,227
jack action said:
My only other suggestion was YOWIE which is not better! I just thought the P would be more useful than the W.

So I'll try this sentence: A yowie admires pioyes in the night sky.

I, of course, had to look it (read: both) up. I got more of an OWIE vibe from the first and a kind of fable animal from the second. I don't know what a "flock" of pioyes would be called. A piano? Anyway, your sentence there didn't make much sense at first.
 
  • #5,228
Wordle 1,179 3/6

⬜🟨⬜⬜🟨
🟩🟩🟩⬜⬜
🟩🟩🟩🟩🟩
 
  • #5,229
Wordle 1 180 2/6

🟨⬜🟨⬜🟩
🟩🟩🟩🟩🟩
 
  • Like
Likes dwarde, jack action and OmCheeto
  • #5,230
Wordle 1,180 4/6

⬛🟩⬛🟨⬛
⬛🟩🟨⬛🟩
⬛🟩⬛🟩🟩
🟩🟩🟩🟩🟩
 
  • #5,231
Wordle 1,180 3/6

⬛⬛🟨🟨⬛ [NOISY] 22 left
⬛⬛🟨⬛🟩 [TRAVE] filter - 1 left
🟩🟩🟩🟩🟩 [AISLE]
 
  • #5,232
Wordle 1,180 2/6

🟦🟦🟦⬜🟧
🟧🟧🟧🟧🟧

A good start for a broken streak because I went on vacation and stayed away from the internet.
 
  • Like
Likes jack action and dwarde
  • #5,233
kuruman said:
Wordle 1,180 2/6

🟦🟦🟦⬜🟧
🟧🟧🟧🟧🟧

A good start for a broken streak because I went on vacation and stayed away from the internet.
That opener can't have left much to choose from ... I was left with two possibilities and won the coin flip ...
 
  • #5,234
Orodruin said:
That opener can't have left much to choose from ... I was left with two possibilities and won the coin flip ...
I, too had two options, one of which being FALSE which I thought that the answer couldn't be.
 
  • #5,235
Wordle 1,180 3/6

🟨⬜⬜⬜⬜ SHORT
🟨🟩⬜🟨⬜ LIMEY I usually don't play hard mode
🟩🟩🟩🟩🟩
 
  • #5,236
a total screw up.
Wordle 1,180 4/6

🟩⬜🟨🟨🟩
🟩🟨🟨⬜🟩
🟩⬜🟨🟨🟩
🟩🟩🟩🟩🟩
 
  • #5,237
Wordle 1 181 5/6

🟨⬜⬜⬜⬜
🟨⬜⬜🟨⬜
⬜🟩🟩🟩🟩
⬜🟩🟩🟩🟩
🟩🟩🟩🟩🟩

Annoying. 4 possibilities left after 2 guesses. 25-50-25 distribution for getting it in 3-4-5 guesses…
 
  • Like
Likes dwarde
  • #5,238
Wordle 1,181 4/6

⬛⬛⬛🟨⬛
🟨⬛🟩🟩⬛
⬛🟩🟩🟩🟩
🟩🟩🟩🟩🟩
 
  • #5,239
Wordle 1,181 3/6

⬛⬛🟩🟩⬛ [CHASE] 8 left - BLAST BOAST BRASS GRASS QUASI ROAST SPASM TOAST
⬛⬛🟨🟨⬛ [TURBO] filter - 1 left
🟩🟩🟩🟩🟩 [BRASS]
 
  • #5,240
Wordle 1,181 4/6

🟦⬜🟧⬜⬜
⬜⬜🟧🟧⬜
⬜🟧🟧🟧🟧
🟧🟧🟧🟧🟧
 
  • #5,241
Wordle 1,181 3/6

🟨⬜⬜🟨⬜ SHIRT
⬜⬜⬜⬜⬜ LEMON
🟩🟩🟩🟩🟩 BRASS
 
  • #5,242
Wordle 1,181 3/6

🟨🟩⬜🟩⬜
🟩🟩🟩🟩⬜
🟩🟩🟩🟩🟩
 
  • #5,243
Wordle 1,182 3/6

⬛🟩⬛⬛🟨
🟩🟩🟩⬛⬛
🟩🟩🟩🟩🟩
 
  • #5,244
Wordle 1,182 3/6

🟨🟨⬛🟨🟨 [SHEAR] 2 left: CRASH HARSH
⬛🟨🟨🟩🟩 [CRASH] :mad:
🟩🟩🟩🟩🟩 [HARSH]
 
  • #5,245
Wordle 1.182 3/6*

⬛🟨🟨⬛⬛
⬛🟩🟩⬛🟨
🟩🟩🟩🟩🟩

7FAFBFCD-FA22-4AE5-A2EE-A19B51CAEB32.png
No cheating!
 
  • #5,246
Wordle 1,182 3/6

🟦⬜🟦⬜⬜
🟦🟧🟦⬜⬜
🟧🟧🟧🟧🟧
 
  • #5,247
I was really proud of myself there (even pointing out that I didn’t cheat and all) but you all did it in 3 max so now not so much.
 
  • #5,248
Wordle 1,182 3/6

⬜🟩🟨⬜⬜ TASTY
🟨🟩⬜⬜⬜ SALVO
🟩🟩🟩🟩🟩 HARSH
 
  • #5,249
Wordle 1,182 2/6

🟨🟨⬜🟩⬜
🟩🟩🟩🟩🟩
 
  • Like
Likes OmCheeto
  • #5,250
Wordle 1,183 3/6

🟨🟩⬛⬛⬛
🟨🟩🟨⬛⬛
🟩🟩🟩🟩🟩
 

Similar threads

Back
Top